# cwltool.update

## Attributes

`ORDERED_VERSIONS` |
`UPDATES` |
`DEVUPDATES` |
`ALLUPDATES` |
`INTERNAL_VERSION` |
`ORIGINAL_CWLVERSION` |

## Functions

`v1_2to1_3dev1`(doc, loader, baseuri) | Public updater for v1.2 to v1.3.0-dev1.
`v1_1to1_2`(doc, loader, baseuri) | Public updater for v1.1 to v1.2.
`v1_0to1_1`(doc, loader, baseuri) | Public updater for v1.0 to v1.1.
`v1_1_0dev1to1_1`(doc, loader, baseuri) | Public updater for v1.1.0-dev1 to v1.1.
`v1_2_0dev1todev2`(doc, loader, baseuri) | Public updater for v1.2.0-dev1 to v1.2.0-dev2.
`v1_2_0dev2todev3`(doc, loader, baseuri) | Public updater for v1.2.0-dev2 to v1.2.0-dev3.
`v1_2_0dev3todev4`(doc, loader, baseuri) | Public updater for v1.2.0-dev3 to v1.2.0-dev4.
`v1_2_0dev4todev5`(doc, loader, baseuri) | Public updater for v1.2.0-dev4 to v1.2.0-dev5.
`v1_2_0dev5to1_2`(doc, loader, baseuri) | Public updater for v1.2.0-dev5 to v1.2.
`identity`(doc, loader, baseuri) | Do-nothing, CWL document upgrade function.
`checkversion`(doc, metadata, enable_dev) | Check the validity of the version of the give CWL document.
`update`(doc, loader, baseuri, enable_dev, metadata[, ...]) | Update a CWL document to 'update_to' (if provided) or INTERNAL_VERSION.

## Module Contents

cwltool.update.v1_2to1_3dev1(doc, loader, baseuri)

  Public updater for v1.2 to v1.3.0-dev1.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_1to1_2(doc, loader, baseuri)

  Public updater for v1.1 to v1.2.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_0to1_1(doc, loader, baseuri)

  Public updater for v1.0 to v1.1.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_1_0dev1to1_1(doc, loader, baseuri)

  Public updater for v1.1.0-dev1 to v1.1.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_2_0dev1todev2(doc, loader, baseuri)

  Public updater for v1.2.0-dev1 to v1.2.0-dev2.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_2_0dev2todev3(doc, loader, baseuri)

  Public updater for v1.2.0-dev2 to v1.2.0-dev3.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_2_0dev3todev4(doc, loader, baseuri)

  Public updater for v1.2.0-dev3 to v1.2.0-dev4.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_2_0dev4todev5(doc, loader, baseuri)

  Public updater for v1.2.0-dev4 to v1.2.0-dev5.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.v1_2_0dev5to1_2(doc, loader, baseuri)

  Public updater for v1.2.0-dev5 to v1.2.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.ORDERED_VERSIONS = ['v1.0', 'v1.1.0-dev1', 'v1.1', 'v1.2.0-dev1', 'v1.2.0-dev2', 'v1.2.0-dev3', 'v1.2.0-dev4',...

cwltool.update.UPDATES: dict[str, collections.abc.Callable[[ruamel.yaml.comments.CommentedMap, schema_salad.ref_resolver.Loader, str], tuple[ruamel.yaml.comments.CommentedMap, str]] | None]

cwltool.update.DEVUPDATES: dict[str, collections.abc.Callable[[ruamel.yaml.comments.CommentedMap, schema_salad.ref_resolver.Loader, str], tuple[ruamel.yaml.comments.CommentedMap, str]] | None]

cwltool.update.ALLUPDATES

cwltool.update.INTERNAL_VERSION = 'v1.3.0-dev1'

cwltool.update.ORIGINAL_CWLVERSION = 'http://commonwl.org/cwltool#original_cwlVersion'

cwltool.update.identity(doc, loader, baseuri)

  Do-nothing, CWL document upgrade function.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.checkversion(doc, metadata, enable_dev)

  Check the validity of the version of the give CWL document.

  Returns the document and the validated version string.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedSeq | ruamel.yaml.comments.CommentedMap)

    - metadata (ruamel.yaml.comments.CommentedMap)

    - enable_dev (bool)

  Return type:

    tuple[ruamel.yaml.comments.CommentedMap, str]

cwltool.update.update(doc, loader, baseuri, enable_dev, metadata, update_to=None)

  Update a CWL document to ‘update_to’ (if provided) or INTERNAL_VERSION.

  Parameters:

    - doc (ruamel.yaml.comments.CommentedSeq | ruamel.yaml.comments.CommentedMap)

    - loader (schema_salad.ref_resolver.Loader)

    - baseuri (str)

    - enable_dev (bool)

    - metadata (ruamel.yaml.comments.CommentedMap)

    - update_to (str | None)

  Return type:

    ruamel.yaml.comments.CommentedMap